/*
* @example An iframe-based dialog with custom button handling logics.
*/
var MediaEmbedDialogInstances = 0;
( function() {
    CKEDITOR.plugins.add( 'MediaEmbed',
    {
        requires: [ 'iframedialog' ],
        init: function( editor )
        { 
        	/**
        	 * i18n "hack" introduced
        	 * 
        	 * Supports english (default) and swedish
        	 */
        	var userLang = (navigator.language) ? navigator.language : navigator.userLanguage;
           
        	var i18n = {title: "Embed Media Dialog", label: "Embed Media", dialog: "dialogs/mediaembed.html"};
        	
        	// Override default language
        	if(userLang.substr(0,2) == 'sv') {
        		i18n = {title: "Bdda in Media", label: "Bdda in Media", dialog: "dialogs/mediaembed.sv.html"};
        	}
        	
        	var me = this;
        	
        	/**
        	 * Support for multiple instances "hack" introduced
        	 * 
        	 * Using an uniqueID, thereby preventing overwriting of added dialog function definition
        	 * and fetching the content from the appropriate iframe  
        	 */
        	var uniqueID = ++MediaEmbedDialogInstances;
        	
           CKEDITOR.dialog.add( 'MediaEmbedDialog-'+uniqueID, function ()
           {
              return {
                 title : i18n.title,
                 minWidth : 550,
                 minHeight : 200,
                 contents :
                       [
                          {
                             id : 'iframe',
                             label : i18n.label,
                             expand : true,
                             elements :
                                   [
                                      {
						               type : 'html',
						               id : 'pageMediaEmbed',
						               label : 'Embed Media',
						               style : 'width : 100%;',
						               html : '<iframe src="'+me.path+i18n.dialog+'" frameborder="0" name="iframeMediaEmbed-'+uniqueID+'" id="iframeMediaEmbed" allowtransparency="1" style="width:100%;margin:0;padding:0;"></iframe>'
						              }
                                   ]
                          }
                       ],
                 onOk : function()
                 {
					for (var i=0; i<window.frames.length; i++) {
					   try {
						   if(window.frames[i].name == 'iframeMediaEmbed-'+uniqueID) {
							   var content = window.frames[i].document.getElementById("embed").value;
						   }
					   } catch(err) {
						   
					   }
					}
                    editor.insertHtml('<div class="media_embed">'+content+'</div>');
                 }
              };
           } );

            editor.addCommand( 'MediaEmbed', new CKEDITOR.dialogCommand( 'MediaEmbedDialog-'+uniqueID ) );

            editor.ui.addButton( 'MediaEmbed',
            {
                label: i18n.label,
                command: 'MediaEmbed',
                icon: this.path + 'images/icon.gif'
            } );
        }
    } );
} )();
